List Assignment Sources

List Assignment Sources

gethttps://statsigapi.net/console/v1/experiments/assignment_sources

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Assignment Sources response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
namestringrequired

Unique identifier for the assignment source.

descriptionstringrequired

Detailed context and purpose of the assignment source.

isVerifiedboolean

Marks the assignment source as verified for internal trustworthiness.

tagsstring[]required

Tags for categorization and search.

sqlstringrequired

SQL query defining the data source for assignments.

timestampColumnstringrequired

Column name representing the timestamp of assignments.

experimentIDColumnstringrequired

Column name for the experiment ID associated with the assignments.

groupIDColumnstringrequired

Column name for the group ID linked to the assignments.

groupNameColumnstring

Optional column name for the group name linked to the assignments.

idTypeMappingobject[]required

Mappings of Statsig units to their respective columns.

statsigUnitIDstringrequired

ID for the Statsig unit.

columnstringrequired

Column name associated with the ID type mapping.

isReadOnlyboolean

Specifies if the source can only be edited via the Console API.

ownerobject

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Example:{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}
Constraints:nullable
ownerIDstring

ID of the owner

Example:abc123
ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

Example:USER
ownerNamestring

The name of the owner. This field is optional.

Example:John Doe
ownerEmailstring

The email of the owner. This field is optional.

teamstring

Optional field indicating the team name responsible for the metric, aiding in accountability and management.

Constraints:nullable
teamIDstring

Optional field indicating the team ID responsible for the metric, aiding in accountability and management.

Constraints:nullable
scheduledReloadHourinteger

Optional field indicating what UTC hour to run a scheduled scan for the assignment source.

Constraints:format: int64nullablemin: 0max: 23
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
400· Invalid request. Please check the request input and try again.
statusintegerrequired
Allowed values:400
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired

Was this helpful?